#
# spec file for package python-publicsuffixlist
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-publicsuffixlist
Version:        0.5.1
Release:        lp151.2.2
License:        MPL-2.0
Summary:        Public suffix list implementaion in Python
Url:            https://github.com/ko-zu/psl
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/p/publicsuffixlist/publicsuffixlist-%{version}.tar.gz
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
Requires(post):   update-alternatives
Requires(postun):  update-alternatives
Recommends:     python-requests
BuildArch:      noarch

%python_subpackages

%description
Parser implementation for the Public Suffix List <https://publicsuffix.org/> in Python.

Support for IDN (unicode or punycoded). With built-in list and an updater script.

%prep
%setup -q -n publicsuffixlist-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%python_clone -a %{buildroot}%{_bindir}/publicsuffixlist-download

%check
%python_exec setup.py test

%post
%python_install_alternative publicsuffixlist-download

%postun
%python_uninstall_alternative publicsuffixlist-download

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/*
%{_bindir}/publicsuffixlist-download-%{python_bin_suffix}
%python_alternative %{_bindir}/publicsuffixlist-download

%changelog
* Thu Mar 29 2018 sebix+novell.com@sebix.at
- initial package for version 0.5.0
